// Cynhyrchwyd y ffeil hon yn awtomatig. PEIDIWCH Â MODIWL
// This file is automatically generated. DO NOT EDIT
import {api} from '../models';
import {main} from '../models';

export function ChooseWallet():Promise<string>;

export function Close():Promise<void>;

export function CreateWallet(arg1:api.CreateWalletRequest):Promise<api.CreateWalletResponse>;

export function FindSigner(arg1:main.FindSignerRequest):Promise<api.FindSignerResponse>;

export function GenerateAddress(arg1:api.GenerateAddressRequest):Promise<api.Key>;

export function GenerateLedgerKey(arg1:api.GenerateLedgerKeyRequest):Promise<api.Key>;

export function GenerateMnemonic(arg1:api.GenerateMnemonicRequest):Promise<api.GenerateMnemonicResponse>;

export function ImportKey(arg1:api.ImportKeyRequest):Promise<api.Key>;

export function ImportMnemonic(arg1:api.ImportMnemonicRequest):Promise<api.ImportMnemonicResponse>;

export function KeyList(arg1:api.KeyListRequest):Promise<api.KeyListResponse>;

export function ListAccounts(arg1:api.ListAccountsRequest):Promise<api.ListAccountsResponse>;

export function ListVaults(arg1:api.ListVaultsRequest):Promise<api.ListVaultsResponse>;

export function LockVault(arg1:api.LockVaultRequest):Promise<api.LockVaultResponse>;

export function OpenVault(arg1:api.OpenVaultRequest):Promise<api.OpenVaultResponse>;

export function ParseKey(arg1:main.ParseKeyRequest):Promise<main.ParseKeyResponse>;

export function RegisterTokenAccount(arg1:api.RegisterTokenAccountRequest):Promise<api.RegisterTokenAccountResponse>;

export function ResolveKey(arg1:api.ResolveKeyRequest):Promise<api.ResolveKeyResponse>;

export function Sign(arg1:api.SignRequest,arg2:boolean):Promise<api.SignResponse>;

export function Start(arg1:string):Promise<void>;

export function Started():Promise<string>;

export function Status(arg1:api.StatusRequest):Promise<api.StatusResponse>;

export function UnlockVault(arg1:api.UnlockVaultRequest):Promise<api.UnlockVaultResponse>;

export function UserHomeDir():Promise<string>;
